/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h> 
#include <stdlib.h> 
#include "sampclass.h"

/****** member functions of Class1 ******/

Class1::Class1() {
  m_i1 = 1;
}

Class1::~Class1() {
}

int Class1::memfun1(int i) {
  m_i1 += i;
  printf("In Class1::memfun1(), m_i1 = %d\n", m_i1);
  return m_i1;
}

/****** member functions of Class2 ******/

Class2::Class2() {
  m_i2 = 2;
}

Class2::~Class2() {
}

Class1 Class2::memfun1() {
  Class1 c1;
  return c1;
}

int Class2::memfun2(Class1 c) {
  c.memfun1(1000);
  return 0;
}
